Subject: Re: bug#5393: Patch for lookaround assertion in regexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Aug 2020 15:15:53 +0200

Mattias Engdegård <[email-masked]> writes:

>>That looks pretty cool to me, but there was next to no discussion
> about this at the time (2009), which is a bit odd...
>
> Didn't see it until now myself, and it looks useful, but perhaps it's
> unwise to add features that couldn't easily make it into a DFA-based
> engine. Positive lookahead maybe, the rest probably not. (The old
> engine would need to be kept around for backrefs, but those are fairly
> rare in actual use.)

Right.  Well, there doesn't seem to be much enthusiasm for this patch,
and it doesn't apply (not only because the file names have changed, but
also other changes in the code), so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no